# Enum SqlStates

java.lang.Object
java.lang.Enum<SqlStates>
org.mariadb.jdbc.internal.util.SqlStates

All Implemented Interfaces:
  `Serializable, Comparable<SqlStates>, java.lang.constant.Constable`

public enum SqlStates extends Enum<SqlStates>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CARDINALITY_VIOLATION`
`CONNECTION_EXCEPTION`
`CONSTRAINT_VIOLATION`
`DATA_EXCEPTION`
`DISTRIBUTED_TRANSACTION_ERROR`
`FEATURE_NOT_SUPPORTED`
`INTERRUPTED_EXCEPTION`
`INVALID_AUTHORIZATION`
`INVALID_CATALOG`
`INVALID_CURSOR_STATE`
`INVALID_TRANSACTION_STATE`
`NO_DATA`
`SQL_FUNCTION_EXCEPTION`
`SYNTAX_ERROR_ACCESS_RULE`
`TIMEOUT_EXCEPTION`
`TRANSACTION_ROLLBACK`
`UNDEFINED_SQLSTATE`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSqlState()`
`static SqlStates`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SqlStates[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WARNING

public static final SqlStates WARNING

### NO_DATA

public static final SqlStates NO_DATA

### CONNECTION_EXCEPTION

public static final SqlStates CONNECTION_EXCEPTION

### FEATURE_NOT_SUPPORTED

public static final SqlStates FEATURE_NOT_SUPPORTED

### CARDINALITY_VIOLATION

public static final SqlStates CARDINALITY_VIOLATION

### DATA_EXCEPTION

public static final SqlStates DATA_EXCEPTION

### CONSTRAINT_VIOLATION

public static final SqlStates CONSTRAINT_VIOLATION

### INVALID_CURSOR_STATE

public static final SqlStates INVALID_CURSOR_STATE

### INVALID_TRANSACTION_STATE

public static final SqlStates INVALID_TRANSACTION_STATE

### INVALID_AUTHORIZATION

public static final SqlStates INVALID_AUTHORIZATION

### SQL_FUNCTION_EXCEPTION

public static final SqlStates SQL_FUNCTION_EXCEPTION

### TRANSACTION_ROLLBACK

public static final SqlStates TRANSACTION_ROLLBACK

### SYNTAX_ERROR_ACCESS_RULE

public static final SqlStates SYNTAX_ERROR_ACCESS_RULE

### INVALID_CATALOG

public static final SqlStates INVALID_CATALOG

### INTERRUPTED_EXCEPTION

public static final SqlStates INTERRUPTED_EXCEPTION

### UNDEFINED_SQLSTATE

public static final SqlStates UNDEFINED_SQLSTATE

### TIMEOUT_EXCEPTION

public static final SqlStates TIMEOUT_EXCEPTION

### DISTRIBUTED_TRANSACTION_ERROR

public static final SqlStates DISTRIBUTED_TRANSACTION_ERROR

## Method Details

### values

public static SqlStates[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SqlStates valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSqlState

public String getSqlState()